summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndreas Gnau2025-10-08 21:09:26 +0000
committerHauke Mehrtens2025-11-25 20:51:25 +0000
commitcac609aca8f309c6081f90d6d4475e57c738e315 (patch)
treea7b035cb73c58e8fd3974f27c30435ab48c00501
parent0337cdfb3370b6cd439b1bcaa7427523f2288cb1 (diff)
downloadopenwrt-cac609aca8f309c6081f90d6d4475e57c738e315.tar.gz
base-files: board_detect: Address shellcheck warnings
* SC2166 (warning): Prefer [ p ] && [ q ] as [ p -a q ] is not well defined. * SC2086 (info): Double quote to prevent globbing and word splitting. * SC2091 (warning): Remove surrounding $() to avoid executing output (or use eval if intentional). Signed-off-by: Andreas Gnau <andreas.gnau@iopsys.eu> Link: https://github.com/openwrt/openwrt/pull/20831 Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
-rwxr-xr-xpackage/base-files/files/bin/board_detect8
1 files changed, 4 insertions, 4 deletions
diff --git a/package/base-files/files/bin/board_detect b/package/base-files/files/bin/board_detect
index 94f45bec53..4c50a6057d 100755
--- a/package/base-files/files/bin/board_detect
+++ b/package/base-files/files/bin/board_detect
@@ -4,11 +4,11 @@ CFG=$1
[ -n "$CFG" ] || CFG=/etc/board.json
-[ -d "/etc/board.d/" -a ! -s "$CFG" ] && {
+if [ -d "/etc/board.d/" ] && [ ! -s "$CFG" ]; then
for a in $(ls /etc/board.d/*); do
- [ -s $a ] || continue;
- $(. $a)
+ [ -s "$a" ] || continue
+ (. "$a")
done
-}
+fi
[ -s "$CFG" ] || return 1